%define ver_major 2.30

Name: vinagre
Version: %ver_major.3
Release: alt1

Summary: VNC client for the GNOME Desktop
License: GPLv2
Group: Networking/Remote access
URL: http://www.gnome.org/projects/vinagre
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch: %name-2.30.0-alt-linking.patch

Requires(post,preun): GConf2

BuildPreReq: GConf2 rpm-build-gnome gnome-common
BuildPreReq: intltool >= 0.35 glib2-devel >= 2.17.0
BuildPreReq: libgtkvnc-devel >= 0.3.8
BuildRequires: libGConf-devel libgnome-keyring-devel libgnome-panel-devel
BuildRequires: libavahi-gobject-devel libavahi-ui-devel
BuildRequires: docbook-dtds gnome-doc-utils libdbus-glib-devel
BuildRequires: libtelepathy-glib-devel >= 0.9 libvte-devel
BuildRequires: libglade-devel gcc-c++

%description
This is vinagre, a VNC client for the GNOME Desktop.

%package -n gnome-applets-extra-vinagre
Summary: Vinagre applet for GNOME panel
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description -n gnome-applets-extra-vinagre
This package contains panel applet for Vinagre - VNC client for the
GNOME Desktop

%package devel
Summary: Vinagre development files
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains headers needed to build plugins for Vinagre - VNC
client for the GNOME Desktop

%define _libexecdir %gnome_appletsdir

%prep
%setup -q
%patch

%build
%autoreconf
export CFLAGS="$CFLAGS `pkg-config --cflags dbus-glib-1`"
%configure \
	--disable-scrollkeeper \
	--disable-schemas-install \
	--enable-ssh

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

rm -rf %buildroot%_datadir/doc

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/%name
%dir %_libdir/%name-1
%dir %_libdir/%name-1/plugin-loaders
%_libdir/%name-1/plugin-loaders/*.so
%dir %_libdir/%name-1/plugins
%_libdir/%name-1/plugins/*.so
%_libdir/%name-1/plugins/*.vinagre-plugin
%_datadir/%name/
%_datadir/%name-1/
%_datadir/telepathy/clients/Vinagre.client
%_datadir/applications/*.desktop
%_datadir/icons/hicolor/*/*/*
%_datadir/mime/packages/vinagre-mime.xml
%_datadir/dbus-1/services/org.freedesktop.Telepathy.Client.Vinagre.service
%config %_sysconfdir/gconf/schemas/vinagre.schemas
%_man1dir/vinagre.*
%doc AUTHORS MAINTAINERS NEWS README

%exclude %_libdir/%name-1/plugin-loaders/*.la
%exclude %_libdir/%name-1/plugins/*.la

%files -n gnome-applets-extra-vinagre
%_libdir/bonobo/servers/GNOME_VinagreApplet.server
%gnome_appletsdir/vinagre-applet

%files devel
%_includedir/*
%_libdir/pkgconfig/*

%changelog
* Tue Oct 19 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.3-alt1
- 2.30.3

* Mon Jun 21 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt1
- 2.30.2

* Tue May 04 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt1
- 2.30.1

* Mon Mar 29 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0
- fixed linking of ssh plugin

* Tue Mar 09 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.92-alt1
- 2.29.92

* Fri Feb 26 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.91-alt1
- 2.29.91

* Tue Feb 09 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.90-alt1
- 2.29.90

* Mon Oct 19 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Mon Sep 21 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0.1-alt1
- 2.28.0.1
- new -devel package

* Tue Aug 25 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.91-alt1
- 2.27.91

* Mon Aug 17 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.90-alt1
- 2.27.90
- updated buildreqs

* Tue May 19 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.2-alt1
- 2.26.2

* Mon Apr 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Thu Mar 19 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0
- upated buildreqs

* Mon Dec 29 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt2
- updated buildreqs

* Fri Dec 05 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1
- new subpackage -- gnome-applets-extra-vinagre
- updated buildreqs

* Sat Nov 15 2008 Igor Zubkov <icesik@altlinux.org> 0.5.1-alt2
- apply patch from repocop
- buildreq

* Tue Apr 15 2008 Igor Zubkov <icesik@altlinux.org> 0.5.1-alt1
- build for Sisyphus

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-2m)
- rebuild against gcc43

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-1m)
- initial build
